var dropdown = function() {
	var toggle = undefined,
		nav    = undefined;
	
	var addEventListener = function(elem, event, fn) {
		if(elem === null) {
			return false;
		}

		if (elem.addEventListener) {
			elem.addEventListener(event, fn, false);
		} else {
			elem.attachEvent("on"+event, function() {
				return(fn.call(elem, window.event));
			});
		}
	};

	var toggleDropdown = function() {
		if(toggle.className.indexOf('active') === -1) {
			toggle.className = 'active';
			nav.className = 'active';
		} else {
			toggle.className = '';
			nav.className = '';
		}
	}

	window.onload = function () {
		toggle = document.getElementById('toggle');
		nav    = document.getElementById('dropdown');

		addEventListener(toggle, 'click', toggleDropdown);
	};
}();